{
  "AbilityName": "AbyssS2_UltraBuild_Card_A01",
  "AbilitySpecials": {
    "AS_ByOdds": {
      "Value": 0.5
    },
    "AS_CurrentFeverCosume": {
      "Value": 0
    },
    "AS_FeverConversionRate": {
      "Value": 0.15,
      "ValueType": "Float"
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "OnAdded": [
      {
        "$type": "ApplyModifier",
        "ModifierName": "RandomControler_Modifier",
        "Target": "Self"
      }
    ]
  },
  "Modifiers": {
    "RandomControler_Modifier": {
      "ModifierStacking": "Unique",
      "OnSkillStart": [
        {
          "$type": "SetAbilitySpecialsByFerverConsume",
          "ModifyFunction": "Replace",
          "ParamName": "AS_CurrentFeverCosume",
          "Percentage": 1,
          "Predicates": [
            {
              "$type": "ByFromSkillType",
              "SkillType": "ExQTE",
              "Target": "Self"
            }
          ],
          "Target": "Self"
        },
        {
          "$type": "SetAbilitySpecialAction",
          "ModifyFunction": "Mul",
          "Param": "%AS_FeverConversionRate",
          "ParamName": "AS_CurrentFeverCosume",
          "ParamType": "Float",
          "Predicates": [
            {
              "$type": "ByFromSkillType",
              "SkillType": "ExQTE",
              "Target": "Self"
            }
          ],
          "Target": "Self"
        },
        {
          "$type": "RandomOperator",
          "Odds": "%AS_ByOdds",
          "OnFailure": [
          ],
          "OnSuccess": [
            {
              "$type": "ApplyModifier",
              "ModifierName": "RecoverFeverModifier",
              "Target": "Self"
            }
          ],
          "Predicates": [
            {
              "$type": "ByFromSkillType",
              "SkillType": "ExQTE",
              "Target": "Self"
            }
          ],
          "Target": "Self"
        }
      ]
    },
    "RecoverFeverModifier": {
      "Duration": 1,
      "ModifierStacking": "Unique",
      "OnAdded": [
        {
          "$type": "RecoverIndividualFeverAction",
          "Amount": "%AS_CurrentFeverCosume",
          "IgnoreRatio": false,
          "Percentage": 0,
          "Target": "Self"
        }
      ]
    }
  }
}